package com.qmth.sop.task.job;

import com.qmth.sop.common.enums.ExceptionResultEnum;
import com.qmth.sop.task.job.service.JobService;
import org.quartz.JobExecutionContext;
import org.springframework.scheduling.quartz.QuartzJobBean;

import javax.annotation.Resource;

/**
 * @Description: 软通智服用户更新定时任务
 * @Author: CaoZixuan
 * @Date: 2023-11-28
 */
public class RtzfUserUpdateJob extends QuartzJobBean {
    @Resource
    JobService jobService;

    @Override
    protected void executeInternal(JobExecutionContext context) {
        try {
            jobService.rtzfUserUpdate();
        } catch (Exception e) {
            throw ExceptionResultEnum.ERROR.exception(e.getMessage());
        }
    }
}
